⌘K

Kirin Text to Audio

kirin_text_to_audio

Kirin Text to Audio is a Vtrix packaged audio generation model that creates sound effects or short audio clips from a text prompt.

API Notes

kirin_text_to_audio is a Vtrix packaged model. The upstream audio tool does not require a model field; use kirin_text_to_audio only as the Vtrix model value.

Authentication

authorization string required

All APIs require authentication via Bearer Token.

Get API Key:

Visit API Key Management Page to get your API Key.

Usage:

Add to request header:

Authorization: Bearer YOUR_API_KEY

Parameters

model string required

Model ID to use for the request

Value: kirin_text_to_audio


prompt string required

Text prompt describing the desired sound effect or short audio clip

Maximum length: 200 characters


duration float required

Desired audio duration in seconds

Range: 3.0 - 10.0

Precision: Supports 1 decimal place


callback_url string

Callback notification address for task status changes. When configured, the server actively sends the task result notification.


external_task_id string

Custom task ID. Does not override the system-generated task ID but can be used to query the task.

Note: Must be unique per user.

Polling

Since result generation takes time, you need to poll the task status after creating the task.

The initial response only returns information such as the task ID and initial status. The final result must be obtained by polling the task status endpoint using the task ID.

See the examples on the right for polling requests and responses.